ResourceControllerGetBuiltInResourceFile Method

GET /Resource/BuiltInResourceFile/ Gets the requested built-in resource as a file.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpGetAttribute]
[ActionNameAttribute("BuiltInResourceFile")]
public IActionResult GetBuiltInResourceFile(
	BuiltInResourceKind resourceKind,
	Guid? tenantId = null,
	Guid? sessionId = null
)

Parameters

resourceKind
Type: Dundas.BI.AppResourcesBuiltInResourceKind
The kind of resource to get.
tenantId (Optional)
Type: SystemNullableGuid
The optional tenant ID this resource is for.
sessionId (Optional)
Type: SystemNullableGuid
The ID of the session.

Return Value

Type: IActionResult
A status code indicating success and the file, or a failure reason.
See Also